Opportunities API Reference
API Reference/Opportunities

Opportunities

For authentication instructions, see API overview.

get

List all opportunities

Returns a list of opportunities. The opportunities are returned in sorted order, with the most recent appearing first.

Query parameters

  • limitinteger

    The number of records to return

  • pageinteger

    The page number

  • orderstring

    The order of the records

  • sortBystring

    The sort of the records

  • fieldsstring

    The filter of the records

  • pstring

    policyFilters

  • qstring

    search query

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/opportunities

Response

No response schema
post

Create opportunity

Create opportunity. You need to pass through any required fields, and you can optionally pass through other fields.

Request body

  • customerstring
  • leadIdstring
  • opportunityInformationobject
  • opportunityOwnerstring
  • probabilitynumber
  • discountnumber
  • revenuenumber
  • closeDatestring
  • unitsarray
  • promoIdstring
  • opportunityTypestring
  • opportunitySourcestring
  • statusstring
  • opportunityRatingnumber
  • activityLogarray
  • notesarray
  • documentsarray
  • taskIdstring
  • idengagerRequestIdstring
  • opportunityDescriptionstring
  • stagestring
  • forecastCategorystring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/opportunities \
-d 'customer="609a8f85c2834915d0a5a5e1"' \
-d 'leadId="609a8f85c2834915d0a5a5e6"' \
-d 'opportunityInformation="object"' \
-d 'opportunityOwner="609a8f85c2834915d0a5a5e2"' \
-d 'probability=0.75' \
-d 'discount=10' \
-d 'revenue=1000' \
-d 'closeDate="2023-06-30"' \
-d 'units="array"' \
-d 'promoId="promo123"' \
-d 'opportunityType="new"' \
-d 'opportunitySource="website"' \
-d 'status="active"' \
-d 'opportunityRating=4' \
-d 'activityLog=[{"activityNumber":1,"activity":"Email sent","activityDate":"2023-04-19","logs":"Email sent to johndoe@example.com"}]' \
-d 'notes="array"' \
-d 'documents=[{"uploadDate":"2023-04-18","fileUrl":"https://example.com/docs/doc1.pdf"},{"uploadDate":"2023-04-19","fileUrl":"https://example.com/docs/doc2.pdf"}]' \
-d 'taskId="609a8f85c2834915d0a5a5e5"' \
-d 'idengagerRequestId="request123"' \
-d 'opportunityDescription="Interested in purchasing a new property"' \
-d 'stage="stage1"' \
-d 'forecastCategory="category1"'

Response

No response schema
get

Retrieve opportunity

Returns a single opportunit, which you can request by passing through an id in the url.

Path parameters

  • idstring

    ID of the opportunity

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/opportunities/:id

Response

No response schema
put

Update opportunity

Path parameters

  • idstring

    ID of the opportunity

Request body

  • customerstring
  • leadIdstring
  • opportunityInformationobject
  • opportunityOwnerstring
  • probabilitynumber
  • discountnumber
  • revenuenumber
  • closeDatestring
  • unitsarray
  • promoIdstring
  • opportunityTypestring
  • opportunitySourcestring
  • statusstring
  • opportunityRatingnumber
  • activityLogarray
  • notesarray
  • documentsarray
  • taskIdstring
  • idengagerRequestIdstring
  • opportunityDescriptionstring
  • stagestring
  • forecastCategorystring

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/opportunities/:id \
-d 'customer="609a8f85c2834915d0a5a5e1"' \
-d 'leadId="609a8f85c2834915d0a5a5e6"' \
-d 'opportunityInformation="object"' \
-d 'opportunityOwner="609a8f85c2834915d0a5a5e2"' \
-d 'probability=0.75' \
-d 'discount=10' \
-d 'revenue=1000' \
-d 'closeDate="2023-06-30"' \
-d 'units="array"' \
-d 'promoId="promo123"' \
-d 'opportunityType="new"' \
-d 'opportunitySource="website"' \
-d 'status="active"' \
-d 'opportunityRating=4' \
-d 'activityLog=[{"activityNumber":1,"activity":"Email sent","activityDate":"2023-04-19","logs":"Email sent to johndoe@example.com"}]' \
-d 'notes="array"' \
-d 'documents=[{"uploadDate":"2023-04-18","fileUrl":"https://example.com/docs/doc1.pdf"},{"uploadDate":"2023-04-19","fileUrl":"https://example.com/docs/doc2.pdf"}]' \
-d 'taskId="609a8f85c2834915d0a5a5e5"' \
-d 'idengagerRequestId="request123"' \
-d 'opportunityDescription="Interested in purchasing a new property"' \
-d 'stage="stage1"' \
-d 'forecastCategory="category1"'

Response

No response schema
patch

Update opportunity soft

Update opportunity soft by setting the values of the parameters passed. Any parameters not set will be unchanged.

Path parameters

  • idstring

    ID of the opportunity

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/opportunities/:id

Response

No response schema
delete

Delete opportunity

Path parameters

  • idstring

    ID of the opportunity

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X DELETE \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/opportunities/deleted/:id

Response

No response schema
post

Create opportunity no activity

Create opportunity no activity. You need to pass through any required fields, and you can optionally pass through other fields.

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X POST -H 'Content-Type: application/json' \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/opportunities/no-activity-opportunities

Response

No response schema
put

Update opportunity

Request

cURL
export ICLOUDREADY_API_KEY=[your api key]
curl -X PUT \
-H "Authorization: Bearer $ICLOUDREADY_API_KEY" \
https://api.icloud-ready.com/api/v2/opportunities/multiple

Response

No response schema